<?php  
session_start(); 
if(!isset($_SESSION['linkarisecrm']))
	{
		header('Location: index.php');
		return;
	}

	include("connect.php");	header("Access-Control-Allow-Origin: *");
	
	$eve = "select * from res_submodule_master";
	$re = mysqli_query($conn, $eve);	
	
	$response = array();
	$posts = array();
	
	$result="0";
	
	if(mysqli_num_rows($re) > 0)
	{
		$i=1;
		 while($rt = mysqli_fetch_assoc($re))
		 {
			 
				$smodulemid=$rt['smodulemid'];
				
				$pidedit="<a href='submoduleedit.php?id=".$rt['smodulemid']."' data-toggle='tooltip' data-placement='top' title='Edit' class='fa fa-edit fa-lg'>  </a>";
				
				
				
				
				$piddelete="<a href='submoduledelete.php?id=".$rt['smodulemid']."'onclick='return confirm(&#39;Are you sure you want to delete ?&#39;);' data-toggle='tooltip' data-placement='top' title='Delete' class='far fa-trash-alt fa-lg'>  </a>";			
                $op=$pidedit."&nbsp;&nbsp;&nbsp; ".$piddelete;
								
								
				$smodulename=$rt['smodulename'];
				
				
				$smdisplayname=$rt['smdisplayname'];
				$smfilename=$rt['smfilename'];
				$smoduletag=$rt['smoduletag'];
				$smstatus=$rt['smstatus'];
				
				if($smstatus == 1)
				{
					$smstatus1="<a href='submodulestatus.php?id=".$rt['smodulemid']."' ><span class='label label-sm label-success'>Active</span></a>";
				}else{
					$smstatus1="<a href='submodulestatus.php?id=".$rt['smodulemid']."' ><span class='label label-sm label-danger'>Inactive</span></a>";
				}
				
				
				
								
				$posts[] = array('srno'=> $i++,'op'=> $op,'piddelete'=> $piddelete, 'smodulename'=> $smodulename, 'smdisplayname'=> $smdisplayname, 'smstatus'=> $smstatus1, 'smoduletag'=> $smoduletag, 'smfilename'=> $smfilename);
		 }
		 
		$response['posts'] = $posts;
		echo stripslashes(json_encode( array('data' => $posts)));
		mysqli_close($conn);
		return;
	}
	
   else
   {
		$result="0";
		$msg="Invalid Error";
		
		$posts[] = array('p1'=> $result,'p2'=> $msg);
	
		$response['posts'] = $posts;
		echo stripslashes(json_encode( array('item' => $posts)));
   }   
	mysqli_close($conn);	
	
?>